/* The SRE-http "preloader" initialization procedure.
   To use this you must have SRE-http ver 1.2k or above.
   Given you are up to date,
    1) Add  ' PRELOAD ' to the custom_inits variable (in srefiltr.80)
    2) Edit the PRELOAD.n variables in PRELOAD.RXX
*/
parse arg myserver
if myserver="" then myserver=get_hostname()
atid=rexxthread('f','PRELOAD.RXX',myserver)
call pmprintf(' PRELOAD.RXX launched on thread 'atid)
return 1


/* get the hostname (aa.bb.cc) for this machine */
get_hostname: procedure

/* Old code
    do queued(); pull .; end                  
    address cmd '@hostname'  '| rxqueue'    
    parse pull hostname                        
    return hostname
*/

/* My code */
if \RxFuncQuery("SockLoadFuncs")
  then
    nop
  else
    do
      call RxFuncAdd "SockLoadFuncs","rxSock","SockLoadFuncs"
      call SockLoadFuncs
    end
dot_addr = SockGetHostId()
rc = SockGetHostByAddr(dot_addr, "host.")
return host.name
